#include "magic3d.h"
#include <vector>
#include "opengl31engine.h"
#include "engine_structs.h"

namespace M3D
{

void init()
{
}

EngineInterface* create_engine(EngineLimits *limits, int w, int h, float fov)
{
	EngineInterface *engine = new OpenGL31Engine;
	engine->set_limits ( *limits );
	engine->_init_(w, h, fov);
	return engine;
}

void deinit()
{
}

}
